=== clients/CMakeLists.txt ===
# text-based
add_subdirectory(cmd)
add_subdirectory(dump)
add_subdirectory(replay)
add_subdirectory(exec)
add_subdirectory(joy)

# text-based using QtCore
add_subdirectory(massloader)

# gui
add_subdirectory(eventlogger)
add_subdirectory(studio)
add_subdirectory(thymioupgrader)
add_subdirectory(thymiownetconfig)
