=== targets/CMakeLists.txt ===
add_subdirectory(dummy)
add_subdirectory(enki-marxbot)
add_subdirectory(challenge)
add_subdirectory(playground)
