=== debian/changelog ===
aseba (1.6.0-3.1~build1) bionic; urgency=medium

  * No change reupload now that the enki-aseba issue is fixed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Apr 2018 20:08:17 +0200

aseba (1.6.0-3) unstable; urgency=medium

  * debian/control: new build dependencies are qtbase5-dev, qt5-qmake,
    libqt5opengl5-dev, libqt5webkit5-dev, qtbase5-dev, qtbase5-dev-tools,
    qttools5-dev, libqwt-qt5-dev, libqt5svg5-dev
  * patched CMakeLists.txt, .cpp and .h files to use Qt5. Closes: #891021
  * skipped the auto_test taget in debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Feb 2018 14:45:29 +0100

aseba (1.6.0-2) unstable; urgency=medium

  * applied Adrian Bunk's patch. Closes: #890031

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Feb 2018 13:23:09 +0100

aseba (1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #888756)
  * Added build-dependencies not listed by the upstream packaging system:
    valgrind, libavahi-compat-libdnssd1, libprotobuf-dev, zzuf
  * Modified the cmake configuration to prevent building the
    plugin for blockly
  * added VCS information about collaborative GIT maintenance.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 Feb 2018 11:24:46 +0100
