=== debian/control ===
Source: aseba
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10),
 cmake, python,
 qtbase5-dev, qt5-qmake, libqt5opengl5-dev, libqt5webkit5-dev,
 qtbase5-dev, qtbase5-dev-tools, qttools5-dev,
 libqt5svg5-dev, libqwt-qt5-dev, libqt5svg5-dev, qtchooser, qt5-default,
 libudev-dev, libxml2-dev, libsdl2-dev,
 libdashel-dev, libenki-dev,
 libavahi-compat-libdnssd-dev,
 valgrind, libprotobuf-dev, zzuf
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/aseba.git
Vcs-Git: https://salsa.debian.org/science-team/aseba.git
Homepage: https://www.thymio.org/

Package: aseba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: aseba-plugin-blockly
Description: Event-based framework for distributed mobile robots control
 Aseba's core is a lightweight virtual machine, small enough to run on
 any 16 bits microcontroller.  In Aseba, all virtual machines are
 linked in a network and all their programs are developed and debugged
 from a single application, Aseba Studio.
 .
 Aseba allows one to program Thymio, a small robot to discover the
 universe of robotics and learn a robot's language.
