=== debian/rules ===
#!/usr/bin/make -f

## enable parallel build only at home, where hostname is "georges"

ifeq ($(shell hostname), georges)
  PARALLEL =
else
  PARALLEL = --no-parallel
endif

export QT_SELECT=qt5

%:
	dh $@  $(PARALLEL)


override_dh_auto_test:
	:
	# skip the tests when building a package
