=== debian/changelog ===
aseba (1.6.0.1-5) unstable; urgency=medium

  * update changelog

 -- deepin <lichenggang@uniontech.com>  Tue, 22 Jun 2021 16:07:58 +0800

aseba (1.6.0-5) unstable; urgency=medium

  * enabled the build under clients/studio. Closes: #907531
  * checked that the build is OK for powerpc/ppc64. Closes: #890570

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jan 2019 20:14:26 +0100

aseba (1.6.0-4) unstable; urgency=medium

  * upgraded Standards-Version: 4.1.4
  * specified a list of architectures for the dependency on valgrind.
    Closes: #896147; Closes: #890569.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 May 2018 17:07:09 +0200
