=== menu/CMakeLists.txt ===
add_subdirectory(freedesktop)
add_subdirectory(src)
