=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-find_program(valgrind_FOUND valgrind)
-if (valgrind_FOUND)
-	message(STATUS "valgrind executable found: " ${valgrind_FOUND})
-else ()
-	message(WARNING "valgrind executable not found! Disabling memory leaks and trashs tests")
-endif ()
-
 add_subdirectory(common)
 add_subdirectory(msg)
-add_subdirectory(compiler)
-add_subdirectory(vm)
-add_subdirectory(simulator)
+
+include(CheckIncludeFiles)
+check_include_files(getopt.h HAVE_GETOPT_H)
+if (HAVE_GETOPT_H)
+	add_subdirectory(compiler)
+	add_subdirectory(vm)
+	add_subdirectory(simulator)
+endif()
+
+
 #add_subdirectory(e2e-http)
 
 
@@ -24,7 +24,7 @@
 #		# Support compilers like GCC 5 that don't have C++11 support enabled by default.
 #		target_compile_definitions(test-asebahttp PRIVATE -DCATCH_CONFIG_NO_CPP11)
 #	endif ()
-#	target_link_libraries(test-asebahttp asebahttphub asebacompiler ${LIBXML2_LIBRARIES} ${ASEBA_CORE_LIBRARIES})
+#	target_link_libraries(test-asebahttp asebahttphub asebacompiler ${LIBXML2_LIBRARIES} asebacommon)
 #	configure_file(testdata-HttpRequest.txt ${CMAKE_CURRENT_BINARY_DIR}/testdata-HttpRequest.txt COPYONLY)
 #	configure_file(http-valgrind-macosx.supp ${CMAKE_CURRENT_BINARY_DIR}/http-valgrind-macosx.supp COPYONLY)
 #	# test HTTP requests and JSON parsing
