=== aseba/switches/CMakeLists.txt ===
add_subdirectory(switch)
add_subdirectory(medulla)
#FIXME: rename http2 and remove this one
add_subdirectory(http)
add_subdirectory(http2)
