=== aseba/transport/CMakeLists.txt ===
add_subdirectory(buffer)
add_subdirectory(dashel_plugins)
