=== debian/changelog ===
aseba (1.6.99+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.99+dfsg
  * removed all useless debian patches
  * made a build-dependency on debhelper-compat (=12), removed debian/compat
  * upgraded Standards-Version: 4.5.0
  * made a versioned build-dependency on libenki-dev (>= 1.6.99)
  * replaced the build-dependency on python by another on python3.
    Closes: #970415; Closes: #936152

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Sep 2020 16:23:30 +0200
