=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10),
- cmake, python,
+Build-Depends: debhelper-compat (=12),
+ cmake, python3,
  qtbase5-dev, qt5-qmake, libqt5opengl5-dev, libqt5webkit5-dev,
- qtbase5-dev, qtbase5-dev-tools, qttools5-dev,
- libqt5svg5-dev, libqwt-qt5-dev, libqt5svg5-dev, qtchooser, qt5-default,
+ qtbase5-dev, qtbase5-dev-tools, qttools5-dev, libqt5x11extras5-dev,
+ libqt5svg5-dev, libqwt-qt5-dev, libqt5svg5-dev, qt5-qmake,
  libudev-dev, libxml2-dev, libsdl2-dev,
- libdashel-dev, libenki-dev,
+ libdashel-dev, libenki-dev (>= 1.6.99),
  libavahi-compat-libdnssd-dev,
- valgrind, libprotobuf-dev, zzuf
-Standards-Version: 4.1.3
+ valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
+ libprotobuf-dev, zzuf
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/aseba.git
 Vcs-Git: https://salsa.debian.org/science-team/aseba.git
 Homepage: https://www.thymio.org/
