=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 ifeq ($(shell hostname), georges)
   PARALLEL =
 else
-  PARALLEL = --no-parallel
+  ifeq ($(shell hostname), georges-pc)
+    PARALLEL =
+  else
+     PARALLEL = --no-parallel
+  endif
 endif
 
 export QT_SELECT=qt5
