=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aseba-$1.tar.gz%" \
   https://github.com/aseba-community/aseba/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
